#!/bin/bash
#SBATCH -N 1
#SBATCH --ntasks-per-node=128
#SBATCH -p thin
#SBATCH --job-name=gpaw_no2mil53
#SBATCH -t 1-00:00:00
#$ -cwd

module load 2021
module load GPAW/21.6.0-foss-2021a 

export INPDIR=$PWD
export TMPDIR=/scratch-shared/srinidhi/tmp_$SLURM_JOB_ID

mkdir -p $TMPDIR
cp $INPDIR/POSCAR $TMPDIR

echo "Contents of the directories before the calculation:"
echo "ORIGDIR:" $INPDIR
ls
cd $TMPDIR
echo "WORKDIR:" $TMPDIR
ls

mpiexec -n 128 gpaw python $INPDIR/gpaw-driver.py POSCAR --mode rg --spacing 0.15 --xc PBE --kpts 3.1.1 --runtype energy

echo "Contents of the directories after the calculation:"
echo "ORIGDIR:" $INPDIR
ls $INPDIR
echo "WORKDIR:" $TMPDIR
ls $TMPDIR

cp $TMPDIR/* $INPDIR
cd $INPDIR
#rm -rf $WORKDIR

