#!/bin/bash
contribution=$1
BASEDIR=$(dirname "$(realpath $0)")
echo "$BASEDIR"

dihedrals="0 30 60 90 120 150 180 m30 m60 m90 m120 m150 m180"
#dihedrals="globalm30"
xyzs=$BASEDIR/xyz_structures

pars_valence=pars_yaff_mbis_lowtol_421_lm.txt #used tolerance 10e-3 and "lm"
pars_vdw=pars_mm3.txt
pars_ei=pars_ei_421kpts.txt
pars_nooccc=pars_yaff_mbis_lowtol_421_lm_nooccc.txt #occcph and occcn is commented from pars_yaff_mbis file
#pars_noocccvalence=pars_noocccyaff.txt #occc not present in pars_yaff_mbis file no this is not needed

cd $1

for ii in $dihedrals; do
    work_dir=dihedral_${ii}
    echo "$work_dir"
    if [ ! -d $work_dir ] ; then
        mkdir $work_dir
    fi
    cp $xyzs/mil53nitro_$ii.xyz $work_dir

if [[ "$1" == "valence" ]]
then
  cp $BASEDIR/$pars_valence $work_dir
fi

if [[ "$1" == "ei" ]]
then
  cp $BASEDIR/$pars_ei $work_dir
fi

if [[ "$1" == "vdw" ]]
then
  cp $BASEDIR/$pars_vdw $work_dir
fi

if [[ "$1" == "valence_nooccc" ]]
then
  cp $BASEDIR/$pars_nooccc $work_dir
fi

if [[ "$1" == "total" ]]
then
  cp $BASEDIR/$pars_valence $work_dir
  cp $BASEDIR/$pars_ei $work_dir
  cp $BASEDIR/$pars_vdw $work_dir
fi    

done
